## Get Project Info

### Description
Get detailed information of an existing project

### Request URL
`_Prodege Base URL + /project-settings-get`

### Request Method
`GET`

### Request Parameters
| Parameter Name         | Parameter Type | Description                                                                                                  | Required? |
|------------------------|----------------|--------------------------------------------------------------------------------------------------------------|-----------|
| apik                   | String         | Your API Key.                                                                                               | Yes       |
| request_date           | Numeric        | Timestamp in milliseconds (see [Authentication](https://developer.prodege.com/demand/authentication)).      | Yes       |
| signature              | String         | The signature of your request (see [Authentication](https://developer.prodege.com/demand/authentication)).  | Yes       |
| prodege_project_id     | Numeric        | The ID that uniquely identifies the project in the Prodege system.                                          | Yes       |

### Response Parameters
| Parameter Name             | Parameter Type | Description                                                                                              |
|----------------------------|----------------|----------------------------------------------------------------------------------------------------------|
| _return_status_            | String         | The return status for this api call (*Currently only for failed requests)                               |
| _project_settings_         | String         | JSON string that holds the current settings for the project                                              |
| _projects_                 | String         | JSON array that holds the current past participation inclusions or exclusions, if any are configured.     |

### _project_settings Model_
| Property Name                                       | Property Type | Description                                                                                               |
|----------------------------------------------------|----------------|-----------------------------------------------------------------------------------------------------------|
| enable_max_clicks                                   | Boolean        | Whether or not max click logic is enforced                                                                 |
| enable_max_clicks_cap                               | Numeric        | If max click logic is enforced, the user-specified number of clicks allowed before pausing project traffic |
| enable_max_clicks_allowed_clicks                    | Numeric        | If max click logic is enforced, the current remaining number of clicks before pausing project traffic      |
| enable_max_clicks_max_click_rate_id                 | Numeric        | If max click logic is enforced, the refill rate id for clicks (1: every 30 min, 2: every 1 hour, 3: every 24 hours, 0: one-time setting) |
| enable_quality_screener                             | Boolean        | Whether or not quality screener is enforced                                                                |
| require_rvid                                        | Boolean        | Whether or not relevant id checking is enforced                                                           |
| _limit_panelists_                                   | JSON           | Panelist-specific filter settings                                                                          |

### _projects Model_
| Property Name                                     | Property Type | Description                                                                                         |
|---------------------------------------------------|----------------|-----------------------------------------------------------------------------------------------------|
| participation_status                               | Numeric        | The types of transactions for the included/excluded prodege_project_ids that are included in the inclusion/exclusion. Possible values are 1 for click, 2 for complete, 4 for DQ, 8 for OQ (bit values are added together). |
| surveys                                           | Array          | The list of projects being included or excluded.                                                     |
| participation_filter_type                          | Numeric        | The filter type, either inclusion or exclusion. 1 for inclusion or 2 for exclusion.                   |

Last updated 8 months ago
